package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-医疗保障机构-机构类型枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/10
 */
@Getter
public enum EmMedicalInstitutionTypeEnums implements CodeDescEnumInterface {
    MEDICAL_UNIT(0, "医疗单位"),
    HOSPITAL(1, "卫生救助站"),
    EPIDEMIC_PREVENTION_AND_CONTROL_DEPARTMENT(2, "卫生防疫保障部门");

    private final Integer code;
    private final String desc;

    EmMedicalInstitutionTypeEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
